import 'package:flutter/widgets.dart';
import 'package:justino_icons/src/names.dart';

@immutable
class JustinoIconData extends IconData {
  final String name;
  const JustinoIconData(int codePoint, this.name) : 
  super(
    codePoint,
    fontFamily: 'JustinoIcons',
    fontPackage: 'justino_icons'
  );
}

@immutable
class JustinoIcons {
  JustinoIcons._();

  static List<JustinoIconData> get allIcons {
    return names.keys.map((key){
      int code = names[key]!;
      return JustinoIconData(code, key);
    }).toList();
  }

  static JustinoIconData byName(String name) {
    int code = names[name] ?? -1;
    if (code != -1) {
      return JustinoIconData(code, name);
    } else {
      String key = 'best';
      int value = names[key]!;
      return JustinoIconData(value, key);
    }
  }
  
  static IconData a3d = JustinoIcons.byName('a3d');
  static IconData ambulance = JustinoIcons.byName('ambulance');
  static IconData ampoul = JustinoIcons.byName('ampoul');
  static IconData area = JustinoIcons.byName('area');
  static IconData at = JustinoIcons.byName('at');
  static IconData auto1 = JustinoIcons.byName('auto1');
  static IconData auto = JustinoIcons.byName('auto');
  static IconData axe = JustinoIcons.byName('axe');
  static IconData balloons = JustinoIcons.byName('balloons');
  static IconData bandage1 = JustinoIcons.byName('bandage1');
  static IconData bandage = JustinoIcons.byName('bandage');
  static IconData bathroom = JustinoIcons.byName('bathroom');
  static IconData bauble = JustinoIcons.byName('bauble');
  static IconData beer = JustinoIcons.byName('beer');
  static IconData bells = JustinoIcons.byName('bells');
  static IconData best = JustinoIcons.byName('best');
  static IconData billiard = JustinoIcons.byName('billiard');
  static IconData bird = JustinoIcons.byName('bird');
  static IconData birthdayCake = JustinoIcons.byName('birthdayCake');
  static IconData bishop = JustinoIcons.byName('bishop');
  static IconData bitcoin = JustinoIcons.byName('bitcoin');
  static IconData bloodDrop = JustinoIcons.byName('bloodDrop');
  static IconData bloodTest = JustinoIcons.byName('bloodTest');
  static IconData boardingPass = JustinoIcons.byName('boardingPass');
  static IconData bouquet = JustinoIcons.byName('bouquet');
  static IconData bowling = JustinoIcons.byName('bowling');
  static IconData brandsAndLogotypes1 = JustinoIcons.byName('brandsAndLogotypes1');
  static IconData brandsAndLogotypes2 = JustinoIcons.byName('brandsAndLogotypes2');
  static IconData brandsAndLogotypes3 = JustinoIcons.byName('brandsAndLogotypes3');
  static IconData brandsAndLogotypes = JustinoIcons.byName('brandsAndLogotypes');
  static IconData bronzeMedal = JustinoIcons.byName('bronzeMedal');
  static IconData brush = JustinoIcons.byName('brush');
  static IconData building = JustinoIcons.byName('building');
  static IconData burst = JustinoIcons.byName('burst');
  static IconData bus = JustinoIcons.byName('bus');
  static IconData cardiology = JustinoIcons.byName('cardiology');
  static IconData cash = JustinoIcons.byName('cash');
  static IconData champagne = JustinoIcons.byName('champagne');
  static IconData chest = JustinoIcons.byName('chest');
  static IconData christmasTree = JustinoIcons.byName('christmasTree');
  static IconData clover = JustinoIcons.byName('clover');
  static IconData clubs = JustinoIcons.byName('clubs');
  static IconData cocktail1 = JustinoIcons.byName('cocktail1');
  static IconData cocktail = JustinoIcons.byName('cocktail');
  static IconData coding = JustinoIcons.byName('coding');
  static IconData coffee = JustinoIcons.byName('coffee');
  static IconData coins = JustinoIcons.byName('coins');
  static IconData confetti = JustinoIcons.byName('confetti');
  static IconData contract1 = JustinoIcons.byName('contract1');
  static IconData contract = JustinoIcons.byName('contract');
  static IconData crown = JustinoIcons.byName('crown');
  static IconData crutches = JustinoIcons.byName('crutches');
  static IconData crystal = JustinoIcons.byName('crystal');
  static IconData cupcake = JustinoIcons.byName('cupcake');
  static IconData dart = JustinoIcons.byName('dart');
  static IconData database = JustinoIcons.byName('database');
  static IconData diamond = JustinoIcons.byName('diamond');
  static IconData dice = JustinoIcons.byName('dice');
  static IconData doctor = JustinoIcons.byName('doctor');
  static IconData domino = JustinoIcons.byName('domino');
  static IconData eco = JustinoIcons.byName('eco');
  static IconData elevator = JustinoIcons.byName('elevator');
  static IconData emptyBattery = JustinoIcons.byName('emptyBattery');
  static IconData enema = JustinoIcons.byName('enema');
  static IconData equalizer = JustinoIcons.byName('equalizer');
  static IconData exposure = JustinoIcons.byName('exposure');
  static IconData eyeDrops = JustinoIcons.byName('eyeDrops');
  static IconData faceDetection = JustinoIcons.byName('faceDetection');
  static IconData facebook = JustinoIcons.byName('facebook');
  static IconData fast = JustinoIcons.byName('fast');
  static IconData favorite = JustinoIcons.byName('favorite');
  static IconData fightingGame = JustinoIcons.byName('fightingGame');
  static IconData firstAidKit = JustinoIcons.byName('firstAidKit');
  static IconData flash1 = JustinoIcons.byName('flash1');
  static IconData flash2 = JustinoIcons.byName('flash2');
  static IconData flash = JustinoIcons.byName('flash');
  static IconData focus1 = JustinoIcons.byName('focus1');
  static IconData focus2 = JustinoIcons.byName('focus2');
  static IconData focus = JustinoIcons.byName('focus');
  static IconData food = JustinoIcons.byName('food');
  static IconData fork = JustinoIcons.byName('fork');
  static IconData fullBattery = JustinoIcons.byName('fullBattery');
  static IconData gameController = JustinoIcons.byName('gameController');
  static IconData garage = JustinoIcons.byName('garage');
  static IconData gift = JustinoIcons.byName('gift');
  static IconData grid = JustinoIcons.byName('grid');
  static IconData guardrail = JustinoIcons.byName('guardrail');
  static IconData guitar = JustinoIcons.byName('guitar');
  static IconData halfBattery = JustinoIcons.byName('halfBattery');
  static IconData hamLeg = JustinoIcons.byName('hamLeg');
  static IconData hdr1 = JustinoIcons.byName('hdr1');
  static IconData hdr = JustinoIcons.byName('hdr');
  static IconData heartBalloon = JustinoIcons.byName('heartBalloon');
  static IconData heart = JustinoIcons.byName('heart');
  static IconData highHeels = JustinoIcons.byName('highHeels');
  static IconData horseshoe = JustinoIcons.byName('horseshoe');
  static IconData hospital1 = JustinoIcons.byName('hospital1');
  static IconData hospital2 = JustinoIcons.byName('hospital2');
  static IconData hospital3 = JustinoIcons.byName('hospital3');
  static IconData hospitalBed = JustinoIcons.byName('hospitalBed');
  static IconData hospital = JustinoIcons.byName('hospital');
  static IconData hourglass = JustinoIcons.byName('hourglass');
  static IconData hygieia = JustinoIcons.byName('hygieia');
  static IconData instagramSketched = JustinoIcons.byName('instagramSketched');
  static IconData iso = JustinoIcons.byName('iso');
  static IconData jewelry = JustinoIcons.byName('jewelry');
  static IconData joker = JustinoIcons.byName('joker');
  static IconData joystick = JustinoIcons.byName('joystick');
  static IconData juice = JustinoIcons.byName('juice');
  static IconData key1 = JustinoIcons.byName('key1');
  static IconData key = JustinoIcons.byName('key');
  static IconData keyword = JustinoIcons.byName('keyword');
  static IconData kidney = JustinoIcons.byName('kidney');
  static IconData king = JustinoIcons.byName('king');
  static IconData knight = JustinoIcons.byName('knight');
  static IconData landscape = JustinoIcons.byName('landscape');
  static IconData leftAndRightArrows = JustinoIcons.byName('leftAndRightArrows');
  static IconData linkedin = JustinoIcons.byName('linkedin');
  static IconData lipstick = JustinoIcons.byName('lipstick');
  static IconData liver = JustinoIcons.byName('liver');
  static IconData lowBattery = JustinoIcons.byName('lowBattery');
  static IconData luggage = JustinoIcons.byName('luggage');
  static IconData lungs = JustinoIcons.byName('lungs');
  static IconData macro = JustinoIcons.byName('macro');
  static IconData margarita = JustinoIcons.byName('margarita');
  static IconData mask = JustinoIcons.byName('mask');
  static IconData medicalHistory = JustinoIcons.byName('medicalHistory');
  static IconData medicine = JustinoIcons.byName('medicine');
  static IconData medicines = JustinoIcons.byName('medicines');
  static IconData message = JustinoIcons.byName('message');
  static IconData microphone = JustinoIcons.byName('microphone');
  static IconData mining = JustinoIcons.byName('mining');
  static IconData mouse = JustinoIcons.byName('mouse');
  static IconData moustache = JustinoIcons.byName('moustache');
  static IconData musicSpeaker = JustinoIcons.byName('musicSpeaker');
  static IconData musicTrack = JustinoIcons.byName('musicTrack');
  static IconData musicalNotes = JustinoIcons.byName('musicalNotes');
  static IconData night = JustinoIcons.byName('night');
  static IconData nurse = JustinoIcons.byName('nurse');
  static IconData officer = JustinoIcons.byName('officer');
  static IconData panorama = JustinoIcons.byName('panorama');
  static IconData pause = JustinoIcons.byName('pause');
  static IconData pawn = JustinoIcons.byName('pawn');
  static IconData perfume = JustinoIcons.byName('perfume');
  static IconData petard = JustinoIcons.byName('petard');
  static IconData pharmacy = JustinoIcons.byName('pharmacy');
  static IconData phoneCall = JustinoIcons.byName('phoneCall');
  static IconData photoCamera1 = JustinoIcons.byName('photoCamera1');
  static IconData photoCamera = JustinoIcons.byName('photoCamera');
  static IconData piano = JustinoIcons.byName('piano');
  static IconData pickaxe = JustinoIcons.byName('pickaxe');
  static IconData pill = JustinoIcons.byName('pill');
  static IconData pills = JustinoIcons.byName('pills');
  static IconData pin = JustinoIcons.byName('pin');
  static IconData pinata = JustinoIcons.byName('pinata');
  static IconData playButton = JustinoIcons.byName('playButton');
  static IconData plus = JustinoIcons.byName('plus');
  static IconData pokeball = JustinoIcons.byName('pokeball');
  static IconData pokerChip = JustinoIcons.byName('pokerChip');
  static IconData poker = JustinoIcons.byName('poker');
  static IconData pool = JustinoIcons.byName('pool');
  static IconData potion = JustinoIcons.byName('potion');
  static IconData presentation = JustinoIcons.byName('presentation');
  static IconData priceTag = JustinoIcons.byName('priceTag');
  static IconData price = JustinoIcons.byName('price');
  static IconData profit = JustinoIcons.byName('profit');
  static IconData project = JustinoIcons.byName('project');
  static IconData pulse = JustinoIcons.byName('pulse');
  static IconData purchases = JustinoIcons.byName('purchases');
  static IconData queen = JustinoIcons.byName('queen');
  static IconData realEstate = JustinoIcons.byName('realEstate');
  static IconData rec1 = JustinoIcons.byName('rec1');
  static IconData rec = JustinoIcons.byName('rec');
  static IconData redEyes = JustinoIcons.byName('redEyes');
  static IconData resolution = JustinoIcons.byName('resolution');
  static IconData ribbon = JustinoIcons.byName('ribbon');
  static IconData rook = JustinoIcons.byName('rook');
  static IconData roulette = JustinoIcons.byName('roulette');
  static IconData santaClaus = JustinoIcons.byName('santaClaus');
  static IconData scalpel = JustinoIcons.byName('scalpel');
  static IconData scanner = JustinoIcons.byName('scanner');
  static IconData scroll = JustinoIcons.byName('scroll');
  static IconData seminar = JustinoIcons.byName('seminar');
  static IconData serum = JustinoIcons.byName('serum');
  static IconData settings = JustinoIcons.byName('settings');
  static IconData shoppingCart1 = JustinoIcons.byName('shoppingCart1');
  static IconData shoppingCart = JustinoIcons.byName('shoppingCart');
  static IconData shoppingList = JustinoIcons.byName('shoppingList');
  static IconData shovel = JustinoIcons.byName('shovel');
  static IconData shower = JustinoIcons.byName('shower');
  static IconData shutter = JustinoIcons.byName('shutter');
  static IconData skyscraper = JustinoIcons.byName('skyscraper');
  static IconData slotMachine = JustinoIcons.byName('slotMachine');
  static IconData slowMotion = JustinoIcons.byName('slowMotion');
  static IconData snake = JustinoIcons.byName('snake');
  static IconData snapchat = JustinoIcons.byName('snapchat');
  static IconData snowflake = JustinoIcons.byName('snowflake');
  static IconData sofa = JustinoIcons.byName('sofa');
  static IconData spades = JustinoIcons.byName('spades');
  static IconData spray = JustinoIcons.byName('spray');
  static IconData stars2 = JustinoIcons.byName('stars2');
  static IconData stars = JustinoIcons.byName('stars');
  static IconData steeringWheel = JustinoIcons.byName('steeringWheel');
  static IconData stethoscope = JustinoIcons.byName('stethoscope');
  static IconData stomach = JustinoIcons.byName('stomach');
  static IconData store = JustinoIcons.byName('store');
  static IconData stretcher = JustinoIcons.byName('stretcher');
  static IconData surgery = JustinoIcons.byName('surgery');
  static IconData sword = JustinoIcons.byName('sword');
  static IconData syringe = JustinoIcons.byName('syringe');
  static IconData syrup = JustinoIcons.byName('syrup');
  static IconData tShirt = JustinoIcons.byName('tShirt');
  static IconData teamLeader = JustinoIcons.byName('teamLeader');
  static IconData testTube = JustinoIcons.byName('testTube');
  static IconData tetris = JustinoIcons.byName('tetris');
  static IconData thermometer = JustinoIcons.byName('thermometer');
  static IconData ticTacToe = JustinoIcons.byName('ticTacToe');
  static IconData tiktok = JustinoIcons.byName('tiktok');
  static IconData timer1 = JustinoIcons.byName('timer1');
  static IconData timer2 = JustinoIcons.byName('timer2');
  static IconData timer = JustinoIcons.byName('timer');
  static IconData tooth = JustinoIcons.byName('tooth');
  static IconData tribune = JustinoIcons.byName('tribune');
  static IconData trip = JustinoIcons.byName('trip');
  static IconData trumpet = JustinoIcons.byName('trumpet');
  static IconData twitter = JustinoIcons.byName('twitter');
  static IconData ultrasound = JustinoIcons.byName('ultrasound');
  static IconData urine = JustinoIcons.byName('urine');
  static IconData videoCamera = JustinoIcons.byName('videoCamera');
  static IconData videoMarketing = JustinoIcons.byName('videoMarketing');
  static IconData virus = JustinoIcons.byName('virus');
  static IconData vrGlasses = JustinoIcons.byName('vrGlasses');
  static IconData wall = JustinoIcons.byName('wall');
  static IconData whatsapp = JustinoIcons.byName('whatsapp');
  static IconData wheelchair = JustinoIcons.byName('wheelchair');
  static IconData xRay = JustinoIcons.byName('xRay');
  static IconData youtube = JustinoIcons.byName('youtube');
}
